Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Class ExcludingPluginFilter

    java.lang.Object
      org.codehaus.groovy.grails.plugins.BasePluginFilter
          org.codehaus.groovy.grails.plugins.ExcludingPluginFilter

    @SuppressWarnings({ "unchecked", "rawtypes" })
    public class ExcludingPluginFilter
    extends BasePluginFilter

Implementation of `PluginFilter` which removes that all of the supplied plugins (identified by name) as well as their dependencies are omitted from the filtered plugin list.

Authors:
  Phil Zoio

Field Summary

Fields inherited from class BasePluginFilter
nameMap

Constructor Summary
`ExcludingPluginFilter(java.util.Set excluded)`
`ExcludingPluginFilter(String[] excluded)`

Method Summary
`protected void` | `addPluginDependencies(java.util.List additionalList, GrailsPlugin plugin)`
`protected java.util.List` | `getPluginList(java.util.List original, java.util.List pluginList)`

Methods inherited from class BasePluginFilter
addPluginDependencies, filterPluginList, getAllPlugins, getNamedPlugin, getPluginList, getSuppliedNames, isDependentOn, registerDependency

Constructor Detail

### ExcludingPluginFilter

    public ExcludingPluginFilter(java.util.Set excluded)

### ExcludingPluginFilter

    public ExcludingPluginFilter(String[] excluded)

Method Detail

### addPluginDependencies

    @Override
    protected void addPluginDependencies(java.util.List additionalList, GrailsPlugin plugin)

### getPluginList

    @Override
    protected java.util.List getPluginList(java.util.List original, java.util.List pluginList)

Groovy Documentation